geos::operation::relate::EdgeEndBuilder Class Reference

Computes the geomgraph::EdgeEnd objects which arise from a noded geomgraph::Edge. More...

`#include <EdgeEndBuilder.h>`

## Public Member Functions

std::vector< std::unique_ptr< geomgraph::EdgeEnd > > | computeEdgeEnds (std::vector< geomgraph::Edge * > *edges)
void | computeEdgeEnds (geomgraph::Edge *edge, std::vector< std::unique_ptr< geomgraph::EdgeEnd > > &l)

## Protected Member Functions

void | createEdgeEndForPrev (geomgraph::Edge *edge, std::vector< std::unique_ptr< geomgraph::EdgeEnd > > &l, const geomgraph::EdgeIntersection *eiCurr, const geomgraph::EdgeIntersection *eiPrev)
void | createEdgeEndForNext (geomgraph::Edge *edge, std::vector< std::unique_ptr< geomgraph::EdgeEnd > > &l, const geomgraph::EdgeIntersection *eiCurr, const geomgraph::EdgeIntersection *eiNext)

## Detailed Description

Computes the geomgraph::EdgeEnd objects which arise from a noded geomgraph::Edge.

The documentation for this class was generated from the following file:

- EdgeEndBuilder.h